export function init(settings: Settings): void;
export function start(): void;
export function stop(): void;
export function trackEvent(name: string): void;
export function trackValue(name: string, value: number): void;
export function trackException(ex: Error, context?: string): void;
export function trackTimingStart(name: string): Timing;
export function trackTimingRaw(name: string, value: number): void;

export declare interface Settings {
    appId: string;
    productVersion?: string;
    location?: Location;
    clientIP?: string;
    isInternalData?: boolean;
    autoTrackUnhandledExceptions?: boolean;
    logger?: Logger;
}

export declare interface Location {
    latitude: number;
    longitude: number;
}

export declare interface Timing {
    stop(): void;
    cancel(): void;
}

export declare interface Logger {
    info(message: string, context: any): void;
    error(message: string, context: any): void;
}